
Katello - Feature #5548

We have no way of knowing if our gems are outdated or have security vulnerabilities

05/02/2014 11:52 AM - David Davis

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Gemnasium (www.gemnasium.com) will tell us if we have outdated gems. It also notifies us if those gems have security patches.

Related issues:

Related to Foreman - Feature #5551: Build out gemnasium (rake task, package.j... New 05/02/2014

Associated revisions

Revision 20da003e - 05/02/2014 11:54 AM - David Davis

Fixes #5548 - Add gemnasium to tell us about outdated gem requirements

Gemnasium will tell us if our gems are outdated. Most importantly, it also

notifies us if there are security patches. Also, I'm removing the old Travis

badge.

Revision 6c88957e - 05/02/2014 02:08 PM - David Davis

Merge pull request #4034 from daviddavis/temp/20140502075435

Fixes #5548 - Add gemnasium to tell us about outdated gem requirements

History

#1 - 05/02/2014 11:56 AM - David Davis

- Subject changed from Add gemnasium to We have no way of knowing if our gems are outdated or have security vulnerabilities

#2 - 05/02/2014 11:57 AM - David Davis

My proposal would be:

1. Lock down non-foreman gem requirements to match RPMs

2. If gemnasium says our gems are out-of-date, update the gem requirement AND the gem rpm

At the very least, gemnasium should tell us if our gems are out of date or have security vunerabilities.

#3 - 05/02/2014 02:10 PM - David Davis

- Related to Feature #5551: Build out gemnasium (rake task, package.json, etc) added

#4 - 05/02/2014 02:52 PM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:20da003e2cf01daffd7f01bb3a3918514b7985a1.

#5 - 05/27/2014 05:09 PM - Eric Helms

- Target version set to 44
#6 - 08/22/2014 08:22 AM - Eric Helms

- translation missing: en.field_release set to 13
